ninit-reload(8)

NAME
ninit-relaod - replace running ninit with a new version

SYNOPSIS
ninit-reload [options] [/path/to/ninit] [ninit_options]

DESCRIPTION
ninit-reload is used to replace a running ninit with a new version. It tries to retrieve the state information about running services from ninit, then have ninit replace itself with the new version and restore the stored state information.

OPTIONS
Unless the -u option is given, ninit-reload assumes you are running in test mode.

-v  verbose operation

-u  update mode

-m  dump ninit memory buffer to stdout

-d  dump services data to stdout

-R  service
    remove service from active list

-r  number
    remove service with number from active list. Example:
        ninit-reload -v /sbin/ninit
        ninit-reload -v -r 3 -R qmail -u /sbin/ninit

-e  string
    update ninit environ. Example:
    ninit-reload -v -e ABC=12 -e UVW -u /sbin/ninit
    This updates the variable ABC and removes UVW. See the environ after that with: tr '\\000' '\\012' < /proc/1/environ

-E  file
    update ninit environ using file. The syntax for file is the same as in the file environ for services.

-a  number
    reload ninit and calculate memory buffer to number additional services. Check the result with: ps axww.

-t  time_diff
    add time_diff seconds to each service. Useful if you change the time with hwclock. time_diff can also be a negative number.

-f  data_file
    don't retrieve services from ninit. Use this file instead. For example you can start:

        ninit-reload -d > /tmp/ninit.data
        ninit-reload -v -u -f /tmp/ninit.data /sbin/ninit

ENVIRON
ninit-reload uses the variables NINIT_MEMORY and NINIT_HOME.

AUTHOR
This manpage was partially written by Erich Schubert <erich@debian.org> for the Debian GNU/Linux operating system.

SEE ALSO
ninit(8), nsvc(8)